Bug 52240 - idebus speed defaults to 33 mhz
idebus speed defaults to 33 mhz
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 17:09 EDT by Dean Oliver
Modified: 2007-04-18 12:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 18:42:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Oliver 2001-08-21 17:09:16 EDT
Description of Problem:
During custom full install with ext3 filesystem, kernel did not change
idebus speed to 66mhz.

Version-Release number of selected component (if applicable):
2.4.7-2 roswell, Poweredge 500SC, western digital WDC WD100BB-75AUA1.
Bios set to ata66 max speed with appropriate ide ata ribbon installed.

How Reproducible:
Everytime


Steps to Reproduce:
1. Clean install from cdrom.
2. Choose auto-partitioning.
3. 

Actual Results:


Expected Results:
should have set the idebus speed to 66mhz at install.


Additional Information:
Comment 1 Arjan van de Ven 2001-08-21 17:18:14 EDT
Would it be possible to attach the output of "lspci -vxxx" to this bug ?
That would be very useful in debugging this. Thanks!
Comment 2 Matt Domsch 2001-08-21 17:22:29 EDT
I think this message is referring to the PIO mode and PCI bus speed of 33MHz.  
  ide: Assuming 33MHz system bus speed for PIO modes
Perhaps we can just make this message not print? :-)

Dean is going to stick the ide stuff from /var/log/messages, 
and /proc/ide/svwks into here to make sure it's getting set to UDMA5 properly.

Comment 3 Dean Oliver 2001-08-21 17:26:13 EDT
attached ide grep of /var/log/messages & /proc/ide/svwks & lspci -vxxx :

Jun 16 15:43:47 localhost kernel: BIOS-provided physical RAM map:
Jun 16 15:43:47 localhost kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Jun 16 15:43:47 localhost kernel:     ide0: BM-DMA at 0x08b0-0x08b7, BIOS
settings: hda:DMA, hdb:DMA
Jun 16 15:43:47 localhost kernel:     ide1: BM-DMA at 0x08b8-0x08bf, BIOS
settings: hdc:DMA, hdd:DMA
Jun 16 15:43:47 localhost kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Jun 16 15:43:47 localhost kernel: ide1 at 0x170-0x177,0x376 on irq 15
Jun 16 15:43:47 localhost kernel: ide-floppy driver 0.97
Jun 16 15:43:47 localhost kernel: ide-floppy driver 0.97
Jun 16 15:43:47 localhost kernel: (scsi0) Wide Channel A, SCSI ID=7, 32/255
SCBsJun 16 15:43:47 localhost kernel: (scsi1) Wide Channel B, SCSI ID=7, 32/255
SCBsJun 16 15:43:47 localhost kernel: EXT3 FS 2.4-0.9.6, 11 Aug 2001 on ide1(22,1),
internal journal
Jun 16 15:43:47 localhost kernel: EXT3 FS 2.4-0.9.6, 11 Aug 2001 on ide0(3,1),
internal journal
 
                                ServerWorks CSB5 Chipset.
------------------------------- General Status
------------------------------------------------ Primary Channel
---------------- Secondary Channel -------------                 enabled       
                  enabled
--------------- drive0 --------- drive1 -------- drive0 ---------- drive1
------DMA enabled:    yes              yes             yes               yes
UDMA enabled:   yes              yes             yes               yes
UDMA enabled:   2                2               2                 2
DMA enabled:    2                2               2                 2
PIO  enabled:   4                4               4                 4

00:00.0 Host bridge: ServerWorks CNB20LE Host Bridge (rev 06)
        Flags: bus master, medium devsel, latency 48
00: 66 11 09 00 46 01 00 22 06 00 00 06 08 30 80 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
40: 00 00 00 00 00 00 56 00 81 15 00 4b 00 00 00 67
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 08 aa 02 a8 00 00 00 00 09 1e 81 00 00 00 00 66
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00
90: ff 08 09 10 40 00 06 c0 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 88 0a 74 04 3d ed df 3b 3e 00 2e 09 48 3e 0e 6f
c0: 00 fa 20 fe 00 00 00 00 00 00 00 00 01 07 01 48
d0: 00 e0 fc ef 00 00 00 00 00 00 00 00 01 00 10 93
e0: 04 f6 1b 00 00 00 00 00 a4 10 00 00 00 00 00 00
f0: 6a 61 0e 02 00 00 00 00 97 00 00 00 60 10 00 00

00:00.1 Host bridge: ServerWorks CNB20LE Host Bridge (rev 06)
        Flags: bus master, medium devsel, latency 48
00: 66 11 09 00 47 01 00 02 06 00 00 06 08 30 80 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 0000 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
40: 00 00 00 00 01 ff 56 00 00 00 00 0b 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 f6 00 f9 00 00 00 00 00 00 00 00 01 07 00 00
d0: 00 d0 fc df 00 00 00 00 00 00 00 00 01 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 40 68 7f 01 00 00 00 00 04 00 00 00 61 10 00 00

00:02.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
       Subsystem: Dell Computer Corporation: Unknown device 010b
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at fe203000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at ecc0 [size=64]
        Memory at fe100000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [dc] Power Management version 2
00: 86 80 29 12 17 01 90 02 08 00 00 02 08 20 00 00
10: 00 30 20 fe c1 ec 00 00 00 00 10 fe 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 28 10 0b 01
30: 00 00 00 00 dc 00 00 00 00 00 00 00 0b 01 08 38
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 01 00 22 fe
e0: 00 40 00 3a 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:06.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
       Subsystem: Intel Corporation EtherExpress PRO/100+ Server Adapter (PILA8470B)
        Flags: bus master, medium devsel, latency 32, IRQ 10
        Memory at fe202000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at ec80 [size=64]
        Memory at fe000000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [dc] Power Management version 2
00: 86 80 29 12 17 01 90 02 08 00 00 02 08 20 00 00
10: 00 20 20 fe 81 ec 00 00 00 00 00 fe 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 86 80 0c 10
30: 00 00 00 00 dc 00 00 00 00 00 00 00 0a 01 08 38
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 01 00 22 fe
e0: 00 40 00 3a 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:09.0 Communication controller: Lucent Microelectronics Venus Modem (V90, 56KFlex)
        Subsystem: Action Tec Electronics Inc: Unknown device 0480
        Flags: bus master, medium devsel, latency 0, IRQ 5
        Memory at fe204000 (32-bit, non-prefetchable) [size=256]
        I/O ports at e800 [size=256]
        I/O ports at e400 [size=256]
        I/O ports at ec78 [size=8]
        Capabilities: [f8] Power Management version 2
00: c1 11 80 04 07 01 90 02 00 00 80 07 00 00 00 00
10: 00 40 20 fe 01 e8 00 00 01 e4 00 00 79 ec 00 00
20: 00 00 00 00 00 00 00 00 40 00 00 00 68 16 80 04
30: 00 00 00 00 f8 00 00 00 00 00 00 00 05 01 fc 0e
40: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
50: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
60: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
70: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
80: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
90: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
a0: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
b0: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
c0: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
d0: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
e0: 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16 16
f0: 16 16 16 16 16 16 16 16 01 00 22 64 e0 00 00 00

00:0b.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
(prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 010b
        Flags: bus master, stepping, medium devsel, latency 32
        Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at e000 [size=256]
        Memory at fe201000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2
00: 02 10 52 47 87 00 90 02 27 00 00 03 08 20 00 00
10: 00 00 00 fc 01 e0 00 00 00 10 20 fe 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 28 10 0b 01
30: 00 00 00 00 5c 00 00 00 00 00 00 00 ff 00 08 00
40: 0c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 02 5c 10 00 01 00 00 ff 00 00 00 00 01 00 02 06
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0f.0 ISA bridge: ServerWorks CSB5 South Bridge (rev 92)
        Subsystem: ServerWorks CSB5 South Bridge
        Flags: bus master, medium devsel, latency 32
00: 66 11 01 02 07 00 00 02 92 00 01 06 00 20 80 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 66 11 01 02
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
40: 00 3b 02 0c 00 00 00 00 07 00 00 02 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 87 c9 d3 20 00 00 00 40 00 00 00 00
70: 0c 00 00 00 00 00 00 00 80 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 81 05 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 80 0e 00 00 01 00 ff ff 00 00 04 10 01 00 00 00
b0: 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 92) (prog-if 8a
[Master SecP PriP])
        Subsystem: ServerWorks CSB5 IDE Controller
        Flags: bus master, medium devsel, latency 64
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4
        I/O ports at 0170 [size=8]
        I/O ports at 0374
        I/O ports at 08b0 [size=16]
        I/O ports at 08c0 [size=4]
00: 66 11 12 02 05 00 00 02 92 8a 01 01 08 40 80 00
10: f1 01 00 00 f5 03 00 00 71 01 00 00 75 03 00 00
20: b1 08 00 00 c1 08 00 00 00 00 00 00 66 11 12 02
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
40: 20 20 20 20 20 20 20 20 f0 a0 44 44 00 00 00 00
50: 00 00 00 00 0f 00 22 22 0f 04 03 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
(prog-if 10 [OHCI])
        Subsystem: ServerWorks OSB4/CSB5 OHCI USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 3
        Memory at fe200000 (32-bit, non-prefetchable) [size=4K]
00: 66 11 20 02 17 01 80 02 05 10 03 0c 08 20 00 00
10: 00 00 20 fe 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 66 11 20 02
30: 00 00 00 00 00 00 00 00 00 00 00 00 03 01 00 50
40: 00 00 0f 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0f.3 Host bridge: ServerWorks: Unknown device 0230
        Subsystem: ServerWorks: Unknown device 0230
        Flags: bus master, medium devsel, latency 0
00: 66 11 30 02 05 00 00 02 00 00 00 06 00 00 80 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 66 11 30 02
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00
40: 04 00 00 00 d5 28 00 20 01 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 20 00 10 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

01:03.0 SCSI storage controller: Adaptec 7899A (rev 01)
        Subsystem: Adaptec: Unknown device f620
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 11
        BIST result: 00
        I/O ports at dc00 [size=256]
        Memory at f9001000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at f8000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
00: 05 90 c0 00 17 00 b0 02 01 00 00 01 08 20 80 80
10: 01 dc 00 00 04 10 00 f9 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 05 90 20 f6
30: 00 00 00 f8 dc 00 00 00 00 00 00 00 0b 01 28 19
40: c2 04 00 80 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 01 00 02 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 
01:03.1 SCSI storage controller: Adaptec 7899A (rev 01)
        Subsystem: Adaptec: Unknown device f620
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 10
        BIST result: 00
        I/O ports at d800 [size=256]
        Memory at f9000000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at f8000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
00: 05 90 c0 00 17 00 b0 02 01 00 00 01 08 20 80 80
10: 01 d8 00 00 04 00 00 f9 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 05 90 20 f6
30: 00 00 00 f8 dc 00 00 00 00 00 00 00 0a 02 28 19
40: c2 04 00 80 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 01 00 02 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 4 Arjan van de Ven 2001-08-21 17:29:17 EDT
hdparm -i /dev/hda

will tell you which udma mode the drive(s) is in. But the message is about PCI
speed, not IDE speed. If someone overclocks, the IDE driver will break it's
timing and this message is about that. I have no objection to either rewording
or silencing the message.
Comment 5 Matt Domsch 2001-08-21 17:50:44 EDT
How about dropping its level to KERN_INFO?  That way it shows up 
in /var/log/messages, but not on the screen.  (at least I think that's the 
right level for such).

Comment 6 Matt Domsch 2001-08-21 18:42:39 EDT
Dean needs a new X-rev BIOS on that machine for the IDE cable auto-detect to 
work.  This BIOS hasn't been released yet, but should about the time Fairfax 
launches.  That'll clear this up.

Please leave this open until the message level is dropped so it doesn't clutter 
the screen and confuse.
Comment 7 Arjan van de Ven 2001-08-22 08:54:51 EDT
printk neutered for the next build

Note You need to log in before you can comment on or make changes to this bug.